Subject: Allow automatic update if /index.php is not a symlink
Description

On (managed) servers where symlinks to files are not allowed the Install Tool reports an error if /index.php is a file instead of an
expected symlink. This prevents automatic updates by the Install Tool though the update process is probably not even affected by the
/index.php. The Install Tool should output a warning only for the missing symlink and should proceed with the automatic update
process.

Related issues:
related to Core - Bug # 52993: index.php in DOC_ROOT must be symlinked Accepted 2013-10-21

History
#1 - 2014-10-21 10:59 - Mathias Brodala

The thing is, the index.php could very well be affected by an update. In this special case the core updater needs to be able to tell you about this,
otherwise you might be missing critical changes. (Given you have copied and not require'd the index.php).

#2 - 2014-10-22 18:50 - Jan Bartels

My /index.php contains just one line:

require __DIR__ . '/typo3_src/index.php';

This allows automatic updates, of course.

#3 - 2014-11-19 11:25 - Christian Kuhn
- Status changed from New to Closed

Resolved as duplicate of #52993
